apiVersion: apps/v1
kind: Deployment
metadata:
  name: ptt-celery-ext0
spec:
  selector:
    matchLabels:
      app: ptt-celery-ext0
  replicas: 1
  template:
    metadata:
      labels:
        app: ptt-celery-ext0
    spec:
      containers:
      - name: ptt-celery
        image: pitipat1998/ptt-celery-ext0:latest
        env:
          - name: RABBITMQ_HOST 
            value: "ptt-rbmq-rabbitmq.default.svc.cluster.local"
          - name: RABBITMQ_PORT 
            value: "5672"
          - name: SOCKETIO_HOST 
            value: "ptt-app.default.svc.cluster.local"
          - name: SOCKETIO_PORT 
            value: "5000"
          - name: MONGO_HOST 
            value: "ptt-mongo-mongodb-replicaset.default.svc.cluster.local"
          - name: MONGO_PORT 
            value: "27017"
          - name: MINIO_HOST 
            value: "ptt-minio.default.svc.cluster.local"
          - name: MINIO_PORT 
            value: "9000"
          - name: MINIO_ACCESS_KEY 
            value: "minioadmin"
          - name: MINIO_SECRET_KEY
            value: "minioadmin"
